[![pypi](https://img.shields.io/pypi/v/pyfinmod.svg)](https://img.shields.io/pypi/v/pyfinmod)
[![Build Status](https://travis-ci.com/leonarduschen/pyfinmod.svg?branch=master)](https://travis-ci.com/leonarduschen/pyfinmod)
[![codecov](https://codecov.io/gh/leonarduschen/pyfinmod/branch/master/graph/badge.svg)](https://codecov.io/gh/leonarduschen/pyfinmod)
[![Documentation Status](https://readthedocs.org/projects/pyfinmod/badge/?version=latest)](https://pyfinmod.readthedocs.io/en/latest/?badge=latest)

## Financial modelling with Python and Pandas

Implemented functions:
- Basic calculations
    - Net present Value
    - Internal rate of returns
    - Flat loan payments
    - Future value
    - Continuously compounded interest rate
- Enterprise value
    - Free Cash Flows
    - Weighted average cost of capital and DCF

Based on this book [Financial Modeling by Simon Benninga](https://www.amazon.com/Financial-Modeling-Simon-Benninga/dp/0262026287)

### Changelog
**v0.2.1**:
- Fixed failed tests
- Integrate code coverage
- Cleaned-up code, relative paths, broken links

**v0.2**:
- Switched to financialmodelingprep.com API for financials
- PyPI release
- readthedocs release

### Features in the next releases
- Optimal portfolio calculation
- Caching of API results

## Documentation

The latest docs are available [here](https://pyfinmod.readthedocs.io/en/latest/).


## Installation
Easiest way to install is to use pip

`pip install pyfinmod`

## Contributing

All contributions in the form of pull-requests and issue reports are welcome.

## Support

This package is originally created by Alexey Smirnov. All credits to him for his awesome work.

1. Send him am email msc.smirnov.am+pyfinmod@gmail.com
2. Shoot him a message in [Linkedin](https://www.linkedin.com/in/smirnovam/)
3. Buy him a coffee here

[![Buy me a coffee](https://cdn.buymeacoffee.com/buttons/default-orange.png)](https://www.buymeacoffee.com/smirnovam)
